gnutls_hmac_get_key_size(3)

NAME
gnutls_hmac_get_key_size - API function

SYNOPSIS
#include <gnutls/crypto.h>

unsigned gnutls_hmac_get_key_size(gnutls_mac_algorithm_t algorithm);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    the mac algorithm to use

DESCRIPTION
This function will return the size of the key to be used with this algorithm. On the algorithms which may accept arbitrary key sizes, the returned size is the MAC key size used in the TLS protocol.

RETURNS
The key size or zero on error.

SINCE
3.6.12

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/